﻿@using System.Web.UI.WebControls;

@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using DevExpress.Utils;

@using Portal.Models.Receiving.KanbanReceivingDailyReport;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.Html.Helper
@using Toyota.Common.Web.MVC;

@Html.DevExpress().GridView(
setting =>
{
    setting.Name = "GridKanbanReceivingDailyReport";
    //setting.KeyFieldName = "PART_NO";
    setting.CallbackRouteValues = new { Controller = "KanbanReceivingDailyReport", Action = "PartialData" };
    //setting.ClientSideEvents.Init = "gridDeliveryInvoice_Init";
    //setting.ClientSideEvents.CustomButtonClick = "func";
    //setting.ClientSideEvents.Init = "grid_init";
    setting.ClientSideEvents.BeginCallback = "OnBeginCallbackGrid";
    //setting.ClientSideEvents.EndCallback = "OnEndCallbackGrid";
    setting.Styles.Header.HorizontalAlign = HorizontalAlign.Center;
    setting.Width = Unit.Percentage(100);

    setting.Settings.ShowFilterRow = true;
    setting.Settings.ShowFilterRowMenu = true;
    setting.SettingsBehavior.AllowSelectSingleRowOnly = false;
    setting.SettingsBehavior.AllowSelectByRowClick = false;
    setting.CommandColumn.ClearFilterButton.Visible = true;
    setting.CommandColumn.ShowSelectCheckbox = false;
    setting.CommandColumn.Visible = false;
    setting.CommandColumn.Width = Unit.Pixel(30);
    setting.SettingsPager.PageSizeItemSettings.Visible = true;
    setting.SettingsPager.PageSizeItemSettings.Items = new string[] { "10", "30", "50", "100" };
    setting.SettingsPager.PageSizeItemSettings.Caption = "Page size";
    setting.Settings.HorizontalScrollBarMode = ScrollBarMode.Visible;
    setting.SettingsPager.FirstPageButton.Visible = true;
    setting.SettingsPager.LastPageButton.Visible = true;
    
   
    setting.CommandColumn.SetHeaderTemplateContent(
    c =>
    {
        Html.DevExpress().CheckBox(
                chckBox =>
                {
                    chckBox.Name = "SelectAllCheckBoxs";
                    //chckBox.Width = 16;
                    //chckBox.Properties.ClientSideEvents.CheckedChanged = "function(s, e){ GridServiceAcceptance.SelectAllRowsOnPage(chkAllRecord.GetChecked());}";
                    //chckBox.Properties.ClientSideEvents.CheckedChanged = "CheckChange";
                    //chckBox.Checked = c.Grid.Selection.Count > 1;
                    chckBox.Properties.ClientSideEvents.CheckedChanged = string.Format("function(s, e) {{ if(s.GetChecked()) {0}.SelectRows(); else {0}.UnselectRows(); }}", setting.Name);
                    chckBox.Checked = c.Grid.Selection.Count == c.Grid.VisibleRowCount;
                }
            ).Render();
    });

    setting.Columns.Add(col =>
    {
        col.FieldName = "PROCESS_DT";
        col.Caption = "Process Date";
        col.ColumnType = MVCxGridViewColumnType.DateEdit;
        col.PropertiesEdit.DisplayFormatString = "ddMMyyyy-HHmmss";
        var dateEditProperties = col.PropertiesEdit as DateEditProperties;
        dateEditProperties.EditFormat = EditFormat.DateTime;
        dateEditProperties.EditFormatString = "ddMMyyyy";
        dateEditProperties.UseMaskBehavior = true;
        col.Width = Unit.Pixel(140);
        col.CellStyle.HorizontalAlign = HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
    });


    setting.Columns.Add(col =>
    {
        col.FieldName = "PRODUCTION_DT";
        col.Caption = "PRODUCTION Date";
        col.Visible = false;
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
    });

    setting.Columns.Add(col =>
    {
        col.FieldName = "DATE";
        col.Caption = "Date";
        col.Width = Unit.Pixel(50);
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
    });

    setting.Columns.Add(col =>
    {
        col.FieldName = "MONTH";
        col.Caption = "Month";
        col.Width = Unit.Pixel(50);
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
    });


    setting.Columns.Add(col =>
    {
        col.FieldName = "YEAR";
        col.Caption = "Year";
        col.Width = Unit.Pixel(50);
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
    });

    setting.Columns.Add(col =>
    {
        col.FieldName = "RCV_PLANT_CD";
        col.Caption = "Rcv Plant CD";
        
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
    });
    setting.Columns.Add(col =>
    {
        col.FieldName = "DOCK_CD";
        col.Caption = "Dock CD";
       
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
    });
    setting.Columns.Add(col =>
    {
        col.FieldName = "KANBAN_NO";
        col.Caption = "Kanban No";
        
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
    });

    setting.Columns.Add(col =>
    {
        col.FieldName = "PART_NO";
        col.Caption = "Part No";
        
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
    });

    setting.Columns.Add(col =>
    {
        col.FieldName = "PART_NAME";
        col.Caption = "Part Name";
        col.Width = Unit.Pixel(200);
        col.CellStyle.HorizontalAlign = HorizontalAlign.Left;

        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
    });

    setting.Columns.Add(col =>
    {
        col.FieldName = "SUPPLIER_NAME";
        col.Caption = "Supplier Name";
        col.Width = Unit.Pixel(200);
        col.CellStyle.HorizontalAlign = HorizontalAlign.Left;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
    });

    setting.Columns.Add(col =>
    {
        col.FieldName = "SUPPLIER_CODE";
        col.Caption = "Supplier Code";
        
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
    });

    setting.Columns.Add(col =>
    {
        col.FieldName = "SUPPLIER_PLANT_CD";
        col.Caption = "Supplier Plant";
        
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
    });

    setting.Columns.Add(col =>
    {
        col.FieldName = "MANIFEST_NO";
        col.Caption = "Manifest No";
        
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
    });

    setting.Columns.Add(col =>
    {
        col.FieldName = "ORDER_NO";
        col.Caption = "Order No";
        
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
    });

    setting.Columns.Add(column =>
    {
        column.Caption = "Arrival Plan Date";
        column.Name = "ARRIVAL_PLAN_DT";
        column.FieldName = "ARRIVAL_PLAN_DT";
        column.ColumnType = MVCxGridViewColumnType.DateEdit;
        column.PropertiesEdit.DisplayFormatString = "dd.MM.yyyy HH:mm:ss";
        var dateEditProperties = column.PropertiesEdit as DateEditProperties;
        dateEditProperties.EditFormat = EditFormat.DateTime;
        dateEditProperties.EditFormatString = "dd.MM.yyyy";
        dateEditProperties.UseMaskBehavior = true;
        column.Width = Unit.Pixel(140);
        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
        column.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
    });

    setting.Columns.Add(col =>
    {
        col.FieldName = "QTY_PER_CONTAINER";
        col.Caption = "Qty Per Kbn";
        
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
    });

    setting.Columns.Add(col =>
    {
        col.FieldName = "SHORTAGE_KBN";
        col.Caption = "Shortage (Kbn)";
       
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
    });

    setting.Columns.Add(col =>
    {
        col.FieldName = "SHORTAGE_PCS";
        col.Caption = "Shortage (pcs)";
        
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
    });

}).Bind(Model.GetModel<KanbanReceivingDailyReportModel>().KanbanReceivingListData).GetHtml()